Update scripts to use /bin/sh and ensure executable permissions

This commit is contained in:
Marco Pedone 2025-08-18 10:22:02 +02:00
parent d471fe0f02
commit 24a5749272
4 changed files with 14 additions and 2 deletions

View file

@ -55,6 +55,8 @@ COPY --from=builder /app/main /app/.
COPY --from=builder /app/public /app/public COPY --from=builder /app/public /app/public
COPY --from=builder /app/test.jpg /app/test.jpg COPY --from=builder /app/test.jpg /app/test.jpg
COPY --from=builder /app/scripts /app/scripts COPY --from=builder /app/scripts /app/scripts
RUN chmod +x /app/scripts/*.sh
#COPY --from=builder /app/.env /app/.env #COPY --from=builder /app/.env /app/.env
# create images and storage folder # create images and storage folder
RUN mkdir images RUN mkdir images

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
set -e # Exit on any error set -e # Exit on any error
echo "Starting expired storage cleanup..." echo "Starting expired storage cleanup..."

View file

@ -0,0 +1,10 @@
#!/bin/sh
set -e # Exit on any error
echo "Starting Test..."
if ping -n 1 1.1.1.1; then
echo "Test completed successfully"
else
echo "Failed to Test" >&2
exit 1
fi

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/sh
set -e # Exit on any error set -e # Exit on any error
echo "Starting Update job..." echo "Starting Update job..."